classification
Title: Rename SlotWrapperType to WrapperDescriptorType
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Jim Fasarakis-Hilliard, berker.peksag, corona10
Priority: normal Keywords:

Created on 2017-03-30 22:32 by Jim Fasarakis-Hilliard, last changed 2017-05-13 16:25 by Jim Fasarakis-Hilliard. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1166 closed corona10, 2017-04-18 07:32
PR 926 merged Jim Fasarakis-Hilliard, 2017-04-18 09:22
Messages (5)
msg290883 - (view) Author: Jim Fasarakis-Hilliard (Jim Fasarakis-Hilliard) * Date: 2017-03-30 22:32
The name SlotWrapperType was added in #29377 but it added the type based on the repr of the object instead of it's type as `type(object.__init__)` results in. 

I proposed this be named to WrapperDescriptorType to avoid and any unecessary confusion down the line.
msg291816 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2017-04-18 01:14
I am a newcomer who is interesting with contributing CPython project.
This issue looks easy to solve.
Can I proceed this issue?
msg291830 - (view) Author: Jim Fasarakis-Hilliard (Jim Fasarakis-Hilliard) * Date: 2017-04-18 09:23
Dong-hee, I apologize. I had made a silly mistake in the title of my PR and, as such, it didn't appear here on bpo. 

Thanks for the PR, though! :-)
msg292065 - (view) Author: Jim Fasarakis-Hilliard (Jim Fasarakis-Hilliard) * Date: 2017-04-21 16:40
This was added in python/typing just a couple of days ago, so I'm bumping to maybe get the PR to python/cpython merged too.
msg292275 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-04-25 18:29
Merged in 08c16016e2a2d1368d001ddebfe9ca92465773c4.

Thanks!
History
Date User Action Args
2017-05-13 16:25:07Jim Fasarakis-Hilliardsetstatus: open -> closed
stage: resolved
2017-04-25 18:29:25berker.peksagsetresolution: fixed
2017-04-25 18:29:19berker.peksagsettype: behavior

messages: + msg292275
nosy: + berker.peksag
2017-04-21 16:40:09Jim Fasarakis-Hilliardsetmessages: + msg292065
2017-04-18 09:23:40Jim Fasarakis-Hilliardsetmessages: + msg291830
2017-04-18 09:22:26Jim Fasarakis-Hilliardsetpull_requests: + pull_request1299
2017-04-18 07:32:35corona10setpull_requests: + pull_request1296
2017-04-18 01:14:58corona10setnosy: + corona10
messages: + msg291816
2017-03-30 22:32:35Jim Fasarakis-Hilliardcreate